davfile.hpp File Reference
`#include <memory>`
`#include <istream>`
`#include <ostream>`
`#include <davixcontext.hpp>`
`#include <params/davixrequestparams.hpp>`
`#include <file/davix_file_info.hpp>`
`#include <compat/deprecated.hpp>`

## Data Structures

class | Davix::DavFile
| Davix File Interface. More...
class | Davix::DavFile::Iterator

## Typedefs

typedef DavFile | Davix::File

## Functions

std::ostream & | operator<< (std::ostream &out, Davix::DavFile &file)
std::istream & | operator>> (std::istream &in, Davix::DavFile &file)

## Detailed Description

Author
  Devresse Adrien

File API of Davix